Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I am trying to install ruby 1.9.3 (I am running xCode 4.2) with the following command:

rvm install 1.9.3 --with-gcc=clang

Fetching yaml-0.1.4.tar.gz to /Users/myusername/.rvm/archives
Extracting yaml-0.1.4.tar.gz to /Users/myusername/.rvm/src
Error running 'tar mzxf /Users/myusername/.rvm/archives/yaml-0.1.4.tar.gz -C /Users/myusername/.rvm/src ', please read /Users/myusername/.rvm/log/yaml/extract.log
Configuring yaml in /Users/myusername/.rvm/src/yaml-0.1.4.
Error running ' ./configure --prefix="/Users/myusername/.rvm/usr"  ', please read /Users/myusername/.rvm/log/yaml/configure.log
Uninstalling yaml from /Users/myusername/.rvm/usr
Error running 'make uninstall', please read /Users/myusername/.rvm/log/yaml/make.uninstall.log

When I look at the extract.log, I see:

yaml-0.1.4/tests/example-reformatter-alt.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/example-deconstructor.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/test-reader.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/Makefile.am: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/test-version.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/run-dumper.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/run-emitter.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/run-parser.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/run-scanner.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/run-loader.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/Makefile.in: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/example-reformatter.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/tests/example-deconstructor-alt.c: Can't unlink already-existing object: Permission denied
yaml-0.1.4/config.h.in: Can't unlink already-existing object: Permission denied
yaml-0.1.4/aclocal.m4: Can't unlink already-existing object: Permission denied
yaml-0.1.4/Makefile.am: Can't unlink already-existing object: Permission denied
yaml-0.1.4/configure: Can't unlink already-existing object: Permission denied
yaml-0.1.4/yaml-0.1.pc.in: Can't unlink already-existing object: Permission denied
yaml-0.1.4/LICENSE: Can't unlink already-existing object: Permission denied
yaml-0.1.4/README: Can't unlink already-existing object: Permission denied
yaml-0.1.4/include/Makefile.am: Can't unlink already-existing object: Permission denied
yaml-0.1.4/include/yaml.h: Can't unlink already-existing object: Permission denied
yaml-0.1.4/include/Makefile.in: Can't unlink already-existing object: Permission denied
yaml-0.1.4/Makefile.in: Can't unlink already-existing object: Permission denied
yaml-0.1.4/configure.ac: Can't unlink already-existing object: Permission denied
yaml-0.1.4/config/ltmain.sh: Can't unlink already-existing object: Permission denied
share|improve this question
1  
.. looks like it already exists.. –  Raystafarian Feb 14 '12 at 16:31
add comment

1 Answer

up vote 1 down vote accepted

possibly you used sudo on one of rvm commands, try:

sudo rm -rf $rvm_path/usr

this will clean all the libs installed with rvm, you need to reinstall now all rubies:

rvm reinstall 1.8.7,1.9.2
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.